6.0.0-git
2019-03-20

[#11290] Adding attachments does not work
Summary Adding attachments does not work
Queue IMP
Queue Version Git develop
Type Bug
State Resolved
Priority 1. Low
Owners
Requester thomas.jarosch (at) intra2net (dot) com
Created 2012-07-20 (2434 days ago)
Due
Updated 2012-08-15 (2408 days ago)
Assigned 2012-07-20 (2434 days ago)
Resolved 2012-08-15 (2408 days ago)
Milestone
Patch No

History
2012-08-15 15:14:44 Thomas Jarosch Comment #11
State ⇒ Resolved
Reply to this comment
This is fixed by the fix for #11345

Nice :)

2012-08-11 15:46:34 Thomas Jarosch Comment #10 Reply to this comment
Ok, I think I found a way to trigger it:

- Disable session cookies in horde/conf.php:
    $conf['session']['use_only_cookies'] = false;

- Disable cookies in php's php.ini:
    session.use_cookies = 0

-> Adding attachment will fail now. To be on the safe side, clear all 
browser cache/cookie data and restart PHP after the change.

May be it's related to #11345, I'll retest once that is fixed.
2012-07-31 07:43:04 Thomas Jarosch Comment #9 Reply to this comment
Same error with Firefox 14.0.1.
Can't reproduce still.  You will need to debug.  Nobody else is 
reporting this either.
Alright. Any idea how I can trace it? Perhaps an xdebug calltrace
from the moment I click on "Upload" would help?

[Show Quoted Text - 16 lines]
Indeed I do. May be that's the reason for other issues I'm having.
I'll try to reproduce f.e. the mobile suite login problem with cookie 
based sessions.

2012-07-30 20:12:28 Michael Slusarz Comment #8 Reply to this comment

[Show Quoted Text - 9 lines]
Can't reproduce still.  You will need to debug.  Nobody else is 
reporting this either.

[Show Quoted Text - 13 lines]
You wouldn't happen to be using cookie-less sessions?  Can't reproduce 
this still.
2012-07-28 14:59:52 Michael Rubinsky Taken from Michael Rubinsky
 
2012-07-28 14:28:12 Thomas Jarosch Comment #7 Reply to this comment

[Show Quoted Text - 9 lines]
btw: Uploading large attachments works in the traditional imp view 
with Firefox 14.0.1 running git HEAD.
2012-07-28 14:13:27 Thomas Jarosch Comment #6
Assigned to Michael Rubinsky
State ⇒ Unconfirmed
Reply to this comment
Works fine here.

Is this by any chance on Firefox, using SSL?
Yes, Firefox 12.0 over SSL.
We can't do anything about this from the application side.
Same error with Firefox 14.0.1.

Also Firefox 14.0.1 and 12.0 easily upload huge attachments to 
traditional IMP in Horde 4 via SSL.

Or does the mentioned bug only affect AJAX requests?
Just tried IE 9, it fails in a different way: It says "Uploading..."
but presents me the usual -download- dialog "Do you want to open or
save the file?" after selecting the file for upload.
Can't reproduce.
Still happening. This time I saved the attachment it was 
"downloading". Here's the content:
-snip--------------------------------
/*-secure-{"msgs":[{"message":"\/horde\/login.php?Horde=r4ufrctv9170tgsfkj2tu62ns1&url=%2Fhorde%2Fimp%2F&horde_logout_token=Ee7UAQhKP71QE-Ko2nNzzeA&logout_reason=6","type":"horde.ajaxtimeout"}],"response":false}*/
-snap--------------------------------

Looks like some AJAX response?

Thomas

2012-07-24 17:59:08 Michael Slusarz Comment #5
State ⇒ Not A Bug
Reply to this comment
Works fine here.

Is this by any chance on Firefox, using SSL?
Yes, Firefox 12.0 over SSL.
We can't do anything about this from the application side.
Just tried IE 9, it fails in a different way: It says "Uploading..." 
but presents me the usual -download- dialog "Do you want to open or 
save the file?" after selecting the file for upload.
Can't reproduce.

2012-07-20 14:13:34 Michael Rubinsky Comment #4 Reply to this comment
Works fine here.

Is this by any chance on Firefox, using SSL?
Yes, Firefox 12.0 over SSL.
I had the exact same issue with 12.0 - failed over https, but not over 
http. Probably this issue:

http://support.mozilla.org/en-US/questions/925060

Running 13.0.1 now and I do not see this issue any longer.
Just tried IE 9, it fails in a different way: It says "Uploading..." 
but presents me the usual -download- dialog "Do you want to open or 
save the file?" after selecting the file for upload.
Not sure about this one.

2012-07-20 14:05:33 Thomas Jarosch Comment #3 Reply to this comment
Works fine here.

Is this by any chance on Firefox, using SSL?
Yes, Firefox 12.0 over SSL.

Just tried IE 9, it fails in a different way: It says "Uploading..." 
but presents me the usual -download- dialog "Do you want to open or 
save the file?" after selecting the file for upload.

2012-07-20 13:54:19 Michael Rubinsky Comment #2
State ⇒ Feedback
Reply to this comment
Works fine here.

Is this by any chance on Firefox, using SSL?
2012-07-20 09:12:17 Thomas Jarosch Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Adding attachments does not work
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hi,

I create a new message and try to upload an attachment.
It stays at "Uploading... (test.txt)" and doesn't change.

Thomas

Saved Queries